PKGCTL-REPO-CREATE(1)

NAME
pkgctl-repo-create - Create a new GitLab package repository

SYNOPSIS

pkgctl repo create [OPTIONS] [PKGBASE...]

DESCRIPTION

Create a new Git packaging repository in the canonical GitLab namespace.

This command requires a valid GitLab API authentication. To setup a new GitLab token or check the currently configured one please consult the auth subcommand for further instructions.

If invoked without a parameter, try to create a packaging repository based on the PKGBUILD from the current working directory.

OPTIONS

-c, --clone
    Clone the Git repository after creation

-h, --help
    Show a help text

SEE ALSO

pkgctl-auth(1) pkgctl-repo-clone(1) pkgctl-repo-configure(1)

HOMEPAGE

Please report bugs and feature requests in the issue tracker. Please do your best to provide a reproducible test case for bugs.